﻿@{
    Layout = "_AuthorizetionLayout";
}

@model Web.ViewModels.RegisterViewModel

<h2 class="text-center">Регистрация</h2>

<form asp-action="Register" asp-anti-forgery="true">
    <div class="validation" asp-validation-summary="ModelOnly"></div>
    <div class="container p-0">
        <div class="mb-2">
            <input type="text" asp-for="UserName" placeholder="Введите имя" required style="width:100%" /><br />
            <span asp-validation-for="UserName" />
        </div>
        <div class="mb-2">
            <input asp-for="Password" placeholder="Введите пароль" required style="width:100%" /><br />
            <span asp-validation-for="Password" />
        </div>
        <div class="mb-2">
            <input asp-for="PasswordConfirm" placeholder="Повторите пароль" required style="width:100%" /><br />
            <span asp-validation-for="PasswordConfirm" />
        </div>
        <div class="container w-100 d-flex justify-content-between">
            <input type="submit" value="Регистрация" />
            <a class="align-self-end" asp-action="Login" asp-controller="Account">Вход</a>
        </div>
    </div>
</form>
